package config

import "time"

type Websocket struct {
	HandshakeTimeout  time.Duration `json:"handshakeTimeout" yaml:"handshakeTimeout" toml:"handshakeTimeout"`
	ReadBufferSize    int           `json:"readBufferSize" yaml:"readBufferSize" toml:"readBufferSize"`
	WriteBufferSize   int           `json:"writeBufferSize" yaml:"writeBufferSize" toml:"writeBufferSize"`
	EnableCompression bool          `json:"enableCompression" yaml:"enableCompression" toml:"enableCompression"`
}
