package config

import "time"

type Socket struct {
	MaxMessageSize int64         `json:"maxMessageSize" yaml:"maxMessageSize" toml:"maxMessageSize"`
	WriteTimeout   time.Duration `json:"writeTimeout" yaml:"writeTimeout" toml:"writeTimeout"`
	ReadTimeout    time.Duration `json:"readTimeout" yaml:"readTimeout" toml:"readTimeout"`
	PongTimeout    time.Duration `json:"pongTimeout" yaml:"pongTimeout" toml:"pongTimeout"`
	PingTimeout    time.Duration `json:"pingTimeout" yaml:"pingTimeout" toml:"pingTimeout"`
	PingPeriod     time.Duration           `json:"pingPeriod" yaml:"pingPeriod" toml:"pingPeriod"`
	BinaryMessage  bool          `json:"binaryMessage" yaml:"binaryMessage" toml:"binaryMessage"`
}
